package net.pricefx.server.dto.calculation;

import java.io.Serializable;

/**
 * Represents a scored item recommendation calculated by logic. Intended for use in Cross-sell and up-sell.
 */
public class ItemRecommendation implements Serializable {

	private static final long serialVersionUID = 496325040618193087L;

	private String id;
	private Double score;

	public ItemRecommendation(String id, Double score) {
		this.id = id;
		this.score = score;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	@Override
	public String toString() {
		return "ItemRecommendation{" +
				"domainObjectId='" + id + '\'' +
				", score=" + score +
				'}';
	}
}
